/**
 * Проверяет является ли портальный пользователь внутренним для организации
 * и если так помечает его как внутреннего пользовтаеля.
 * Когда паспорт научится помечать портальных пользователей, как пользователей Коннекта,
 * необходимость в этом мидлваре пропадет.
 */

const responseContext = require('../lib/responseContext');
const userApi = require('../routes/api/user');

module.exports = (req, res, next) => {
    if (responseContext.isInternal(req)) {
        return next();
    }

    userApi.updateUserType(req, res, next);
};
